Skip to main content
POST
/
message
/
sendText
/
{instance}
Send Text
curl --request POST \
  --url https://{server-url}/message/sendText/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "number": "<string>",
  "textMessage": {
    "text": "<string>"
  },
  "options": {
    "delay": 123,
    "presence": "composing",
    "linkPreview": true,
    "quoted": {
      "key": {
        "remoteJid": "<string>",
        "fromMe": true,
        "id": "<string>",
        "participant": "<string>"
      },
      "message": {
        "conversation": "<string>"
      }
    },
    "mentions": {
      "everyOne": true,
      "mentioned": [
        "<string>"
      ]
    }
  }
}
'
{
  "key": {
    "remoteJid": "553198296801@s.whatsapp.net",
    "fromMe": true,
    "id": "BAE594145F4C59B4"
  },
  "message": {
    "extendedTextMessage": {
      "text": "Olá!"
    }
  },
  "messageTimestamp": "1717689097",
  "status": "PENDING"
}

Documentation Index

Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

ID of the instance to connect

Body

application/json
number
string
required

Number to receive the message (with country code)

textMessage
object
required
options
object

Response

201 - application/json

Created

key
object
message
object
messageTimestamp
string

The timestamp of the message.

status
string

The status of the message.